Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001011Core InformUnderstandingpublic2012-10-02 09:332014-05-07 07:33
ReporterASchultz 
Assigned Tograham 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionXP
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0001011: understand [something] as examining interacts with [command].[command]
DescriptionIf we define [something] as examining it, chaining commands with, say, dog.cat.frog.i can cause an infinite loop.
Minimal Source Text To Reproduce
"dogfrog" by andrew

room 1 is a room. the cat is in room 1. the dog is in room 1. the frog is in room 1. the log is in room 
1. understand the command "[something]" as something new. understand "[something]" 
as examining.

[dfl below works okay. dfl2 does not. dfl3 does.]

test dfl with "dog/cat/frog/log". test dfl2 with "dog.cat.frog.log". test dfl3 with 
"x dog.x cat.x frog. x log"
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0001863)
EmacsUser (manager)
2012-10-04 13:08

Confirmed, although the infinite loop is specific to the Z-machine. Glulx gives a finite, but also incorrect output:

- - - -
You see nothing special about the dog.

I only understood you as far as wanting to do something to the dog.
- - - -
(0002509)
graham (administrator)
2014-02-15 10:20

Fixed.

- Issue History
Date Modified Username Field Change
2012-10-02 09:33 ASchultz New Issue
2012-10-04 13:08 EmacsUser Note Added: 0001863
2012-10-04 13:08 EmacsUser Status new => confirmed
2012-10-04 13:08 EmacsUser Category Activities => Understanding
2012-10-04 13:08 EmacsUser Description Updated View Revisions
2014-02-15 10:20 graham Note Added: 0002509
2014-02-15 10:20 graham Status confirmed => resolved
2014-02-15 10:20 graham Resolution open => fixed
2014-02-15 10:20 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker